## ros-indigo-cob-vision-utils 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_vision_utils)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  roscpp
  visualization_msgs
)

find_package(OpenCV REQUIRED)
find_package(TinyXML REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS
    common/include
    ros/include
  LIBRARIES
    cob_vision_utils
  CATKIN_DEPENDS
    roscpp
    visualization_msgs
  DEPENDS
    OpenCV
    TinyXML
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
include_directories(
  common/include
  ros/include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(cob_vision_utils
  common/src/VisionUtils.cpp
  common/src/CameraSensorToolbox.cpp
)
target_link_libraries(cob_vision_utils
  ${OpenCV_LIBS}
  ${TinyXML_LIBRARIES}
)
set_target_properties(cob_vision_utils PROPERTIES COMPILE_FLAGS "-D__LINUX__ -D__COB_ROS__")
add_dependencies(cob_vision_utils ${catkin_EXPORTED_TARGETS})


#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY ros/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-indigo-cob-vision-utils (0.6.12-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * use license apache 2.0
  * Contributors: ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <rmb@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-vision-utils (0.6.10-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.9-0trusty) trusty; urgency=high

  * Softkinetic DS 325 integration (#77 <https://github.com/ipa320/cob_perception_common/issues/77>)
  * Update CMakeLists.txt
  * manually fix changelog
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm

 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.8-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.7-0trusty) trusty; urgency=high

  * work on uEye and N30 integration
  * added Ensenso N30 sensor
  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * hopefully corrected dependencies to message generation
  * Contributors: Richard Bormann, ipa-fmw

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.6-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.5-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into 320-indigo_dev
  * Merge pull request #43 <https://github.com/ipa320/cob_perception_common/issues/43> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Adapted precompiled header settings
  * catkinizing
  * Adapted precompiled header filepath to ROS specs
  * Using standard random number generator, replaced precompiled headers with references to a file within this metapackage. Adapted package description.
  * Adapting optimizatino settings
  * Cleaning up header files
  * Added 16U as possible matrix type for image visualization
  * Adapted project filestructure
  * JSF: Adapted Kinect/Asus Xtion integration
  * Contributors: Florian Weisshardt, Jan Fischer, Richard Bormann, ipa-jsf

 -- Jan Fischer <jsf@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.4-0trusty) trusty; urgency=high

  * 0.5.12
  * update changelog
  * cleanup changelog
  * 0.5.11
  * update changelog
  * Contributors: Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.3-0trusty) trusty; urgency=high

  * add tinyxml to package.xml
  * Contributors: Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 07 Sep 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.2-0trusty) trusty; urgency=high

  * add tinyxml to package.xml
  * Update package.xml
  * increase version number for indigo
  * 0.5.10
  * update changelog
  * downgrade version for hydro
  * using opencv2 instead of libopencv-dev for hydro version (should not be merged into indigo)
  * Contributors: Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.1-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix wrong opencv dep - again
  * Contributors: Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.6.0-0trusty) trusty; urgency=high

  * 0.5.6
  * 0.5.5
  * update changelog
  * merge with hydro
  * missing install tags
  * catkin_lint'ing
  * 0.5.5
  * Merge pull request #26 <https://github.com/ipa320/cob_perception_common/issues/26> from ipa320/hydro_dev
    updates from hydro_dev
  * update changelog
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_perception_common into indigo_dev
  * fix wrong opencv dep
  * added install tags
  * Contributors: Alexander Bubeck, Florian Weisshardt, ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.5.10-0trusty) trusty; urgency=high

  * downgrade version for hydro
  * using opencv2 instead of libopencv-dev for hydro version (should not be merged into indigo)
  * 0.6.1
  * update changelog
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix wrong opencv dep - again
  * 0.6.0
  * update changelog
  * merge with hydro
  * catkin_lint'ing
  * 0.5.5
  * Merge pull request #26 <https://github.com/ipa320/cob_perception_common/issues/26> from ipa320/hydro_dev
    updates from hydro_dev
  * update changelog
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_perception_common into indigo_dev
  * fix wrong opencv dep
  * added install tags
  * Contributors: Alexander Bubeck, Florian Weisshardt, ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.5.5-0trusty) trusty; urgency=high

  * missing install tags
  * Contributors: ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-vision-utils (0.5.4-0trusty) trusty; urgency=high

  * unify version number
  * add version number
  * update changelog
  * merge conflict, undo changes
  * Missing dependencies and fixed error image_flip.launch
  * merge from rmb
  * fixes for hydro
  * added OpenCV dependency
  * remove leftover manifest.xml in cob_vision_utils
  * fix include dirs
  * catkinize cob_vision_utils
  * convert stack to metapackge, ignore all pacakges within for now
  * changed thickness of bounding box marker
  * added detection_msg to marker_msg conversion
  * Tabifying of file
  * Merge of cob_vision_utils
  * moved cob_vision_utils to cob_perception_common


=== debian/control ===
Source: ros-indigo-cob-vision-utils
Section: misc
Priority: extra
Maintainer: Richard Bormann <rmb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-roscpp, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/cob_vision_utils
Standards-Version: 3.9.2

Package: ros-indigo-cob-vision-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, libtinyxml-dev, ros-indigo-cmake-modules, ros-indigo-roscpp, ros-indigo-visualization-msgs
Description: Contains utilities used within the object detection tool chain.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-vision-utils//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
